/* Define the location of format library
   (the formats will be created from the XML file)	*/

libname library     'r:\export\test2';

/* Define the location of the definition for the XML file that contains the exported data

	The xml92 libname is an enhanced version released with SAS 9.2. It supports
	data set labels (SAS 9.1.3 did not), however it does not support interactive
	viewing of the data. If you want to view XML based data sets or if you do
	not have SAS 9.2 then you will need to use the xml engine rather than the xml92
	engine.
*/

libname ocdata clear; /* not required but usefull during testing */

libname ocdata 	xml  'r:\export\test2\Pediatric_Hanging_Injuries.xml'
				xmlmap="r:\export\test2\Pediatric_Hanging_Injuries.map.xml"
				access=readonly;

/* Read the formats in from the exported XML and create the format library	*/

	proc format cntlin=ocdata.fmtlib library = library fmtlib;
	run;

/*	Copy the data to the work library (by way of example). This will copy
	all the 'tables' from the XML with the exception of the one we used to
	create the format library.												*/

proc datasets library=ocdata;
	copy out=work;
	exclude fmtlib;
quit;

/* That's it! */
